"""auto

Revision ID: c71b1eceb476
Revises: 05f5fda8ca09
Create Date: 2023-05-29 20:32:47.531627

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "c71b1eceb476"
down_revision = "05f5fda8ca09"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "paragraph_facts",
        "embedding",
        existing_type=postgresql.ARRAY(postgresql.DOUBLE_PRECISION(precision=53)),
        type_=sa.Text(),
        existing_nullable=True,
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "paragraph_facts",
        "embedding",
        existing_type=sa.Text(),
        type_=postgresql.ARRAY(postgresql.DOUBLE_PRECISION(precision=53)),
        existing_nullable=True,
    )
    # ### end Alembic commands ###
